/* Termometro con DM18B20
 */
 
// Per prima cosa carico le due librerie
#include <OneWire.h> 
#include <DallasTemperature.h>

// Definisco il piedino cui è collegato il bus
#define ONE_WIRE_BUS 10

// Creo un'istanza della classe che gestisce il bus dei sensori
OneWire oneWire(ONE_WIRE_BUS); 

// Creo un'istanza del sensore, passandogli la classe che gestisce il bus
DallasTemperature dm18b20(&oneWire);

// Funzione di inizializzazione
void setup () {
  // Inizializzo la seriale e stampo un messaggio
  Serial.begin(9600);
  Serial.println ("Esempio di termometro con Dallas DM18B20");
  
  // Inizializzo il sensore (e il bus)
  dm18b20.begin();
}

void loop() {
  Serial.print("Leggo la temperatura...");
  // Acquisisco la temperatura dai sensori collegati (potrebbero essere più d'uno)
  dm18b20.requestTemperatures();
  Serial.println("Fatto");
  Serial.print("Latemperatura 1 e': ");
  // Leggo e stampo la temperatura del primo (e unico) sensore.
  Serial.println(dm18b20.getTempCByIndex(0));
  // Attendo un secondo per la prossima lettura
  delay (1000);
}

